Bug 1563855 - JWS Ref Id pre-populated with value 1.2
Summary: JWS Ref Id pre-populated with value 1.2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: unspecified
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Rob Cernich
QA Contact: skaleta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 21:49 UTC by Eric Getchell
Modified: 2019-06-13 12:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 12:20:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric Getchell 2018-04-04 21:49:19 UTC
Description of problem:
When creating a JWS applicationk the Ref Id is pre-populated with the value "1.2"
Setting this to blank will create the image with the value "1.2" in the Build Config

Version-Release number of selected component (if applicable):
OCP 3.7 and beyond


How reproducible:
Always

Steps to Reproduce:
1. Create JWS Application
2. Blank out the value 1.2 for the Git version

Actual results:
Application build will fail as it cannot find the correct Git repo version

Expected results:
Build Config should not have a Ref Id value

Additional info:
If blank does not work, "master" also seems to work as a valid value, and could be used as a default

Comment 1 Ben Parees 2018-04-04 21:57:11 UTC
I don't know that this is fixable.  I assume you're using the JWS template which has a parameter for the git ref.  In order to make the ref parameterizable, the template must define that field, which means you must provide a valid value (e.g. either 1.2 or master, in this case).

However the template could be updated have a validation rule that makes the parameter required, which would disallow providing an empty value for it.

Comment 2 Rob Cernich 2018-04-04 23:34:08 UTC
Not sure why it's set to 1.2 if you leave it blank, unless 1.2 is the default ref for the repo.  As Ben said, you can use master if that's what's desired.

Comment 3 Eric Getchell 2018-04-05 13:27:09 UTC
OCP 3.7 did allow blank for this field in the UI.

OCP 3.8 prevents this in the UI. (the yaml can manually be set to '')

If it can't be easily defaulted to blank, I vote for defaulting the field in 'master'.

Not forcing users to update this field when creating a JWS application makes the experience for new customers trying out the technology much better.  I've had a few customers express frustration when rolling this out to new development teams and they're getting stuck at this point until they know to change this value.

Comment 4 Michal Karm Babacek 2018-04-05 13:34:48 UTC
Dear Rob,

Bugzilla is not used.

For JWS related issues (Tomcat core libraries), use:
 * https://issues.jboss.org/projects/JWS
For Spring related issues, use:
 * https://issues.jboss.org/projects/RHOAR

Cheers
Karm

Comment 5 Michal Karm Babacek 2018-04-05 13:37:23 UTC
QA Contact for JWS on OpenShift Container Platform is: "Stanislav Kaleta" <skaleta@redhat.com>

Comment 6 Rob Cernich 2018-04-05 13:45:26 UTC
The demo application designed to work with the current image is on the 1.2 branch.  master branch is reserved for active development, where changes may introduce incompatibilities.

Are you saying that the dev's don't know to change the git reference to what they actually need?  This is pretty basic stuff, e.g. building off a release tag.  I think this should be resolved WONT FIX.

Comment 7 Michal Karm Babacek 2018-04-05 14:27:13 UTC
IIRC, s2i + JWS is tracked on: https://issues.jboss.org/projects/CLOUD


Note You need to log in before you can comment on or make changes to this bug.